#!/bin/bash -l
Result=0
Char=Y

until [ $Char = "x" ] ;
do

echo $PATH

#avrdude -B 5 -P usb -c avrisp2 -p atmega8 -U lfuse:r:-:h -qq
avrdude -B 5 -c usbasp -p attiny85 -U lfuse:r:-:h -qq

Result=$?
if [ $Result -eq 0 ]; then
echo "Read LFuse: OK"
fi

if [ $Result -eq 0 ]; then
#avrdude -B 5 -P usb -p atmega8 -c avrisp2 -U hfuse:r:-:h -qq
avrdude -B 5 -c usbasp -p attiny85 -U hfuse:r:-:h -qq
Result=$?
fi

if [ $Result -eq 0 ]; then
echo "Read HFuse: OK"
fi

if [ $Result -eq 0 ]; then
#avrdude -B 5 -P usb -p atmega8 -c avrisp2 -U hfuse:r:-:h -qq
avrdude -B 5 -c usbasp -p attiny85 -U efuse:r:-:h -qq
Result=$?
fi

if [ $Result -eq 0 ]; then
echo "Read EFuse: OK"
fi

if [ $Result -eq 0 ]; then
#avrdude -B 5 -P usb -p atmega8 -c avrisp2 -U lfuse:w:0xff:m -U hfuse:w:0xc9:m -qq
avrdude -B 5 -p attiny85 -P usb -c usbasp -U lfuse:w:0xe2:m -U efuse:w:0xfe:m -i100
Result=$?
fi

if [ $Result -eq 0 ]; then
echo "Fuses set to 8Mhz internal clock"
fi

if [ $Result -eq 0 ]; then
#avrdude -P usb -p atmega8 -c avrisp2 -U flash:w:TellyMate_M8.hex
avrdude -p attiny85 -c usbasp -U flash:w:main.hex -U eeprom:w:main.eep
Result=$?
fi

if [ $Result -eq 0 ]; then
echo "Microcontroller Programmed."
echo "ALL OK"
else
echo "FAILED!"
fi

read -p"Enter x to exit, any other key to repeat" -r -n1 Char

done

