/*
*/
#ifndef __LED_H
#define __LED_H

#include <avr/io.h>
#include "globals.h"
#ifndef F_CPU
#error F_CPU must be defined.
#endif

extern volatile uint8_t g_tick;
extern uint8_t g_led_target[];

void led_init( void ) ;
void led_encode_timeslice( void ) ;
void led_seteffect( StyleID_t s ) ;

/*
There are 8 LEDs, LED1 to LED8
LED1 + LED2 are connected to B4
LED3 + LED4 are connected to B3
LED5 + LED6 are connected to B1
LED7 + LED8 are connected to B0
If a pin is "output 1", the odd-numbered LED is lit (L1,L3,L5,L7).
If a pin is "output 0", then even-numbered LED is lit (L2,L4,L6,L8).
*/

#endif
