/* random.c */

#include "random.h"

// seed for the internal random number generator...
static uint16_t	g_randomSeed = 0x8765;

// this routine not currently used.
void random_setseed( unsigned int seed )
{
	g_randomSeed = seed ;
}

uint8_t random_getbyte(void)
{
   if((g_randomSeed&0x8000)==0)
      g_randomSeed=g_randomSeed<<1;
   else {
      g_randomSeed = g_randomSeed<<1;
      g_randomSeed = g_randomSeed ^ 0x1D87;
      }
   return(( g_randomSeed >> 8 ) & 0xff);
} 
