#ifndef __RESET_H
#define __RESET_H

#include <avr/io.h>

extern uint8_t g_reset_reason __attribute__ ((section (".noinit"))) ;

#define ResetWasPowerup() (g_reset_reason & (1<<PORF))
#define ResetWasButton() (g_reset_reason & (1<<EXTRF))

void reset_init( void ) ;

#endif
